# telegram.FileCredentials

class telegram.FileCredentials(file_hash, secret, **_kwargs)

  Bases: `telegram.passport.credentials._CredentialsBase`

  These credentials can be used to decrypt encrypted files from the front_side, reverse_side, selfie and files fields in EncryptedPassportData.

  Parameters

    - file_hash (`str`) – Checksum of encrypted file

    - secret (`str`) – Secret of encrypted file

  hash

    Checksum of encrypted file

    Type

      `str`

  secret

    Secret of encrypted file

    Type

      `str`

  to_dict()

    See `telegram.TelegramObject.to_dict()`.